Index: modules/uoa-admin-portal/trunk/src/assets/env-properties.json
===================================================================
--- modules/uoa-admin-portal/trunk/src/assets/env-properties.json	(revision 56822)
+++ modules/uoa-admin-portal/trunk/src/assets/env-properties.json	(revision 56823)
@@ -41,19 +41,14 @@
 
   "logoutUrl" :"https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
 
-  "logoutOpenaireUrl" :"http://dl067.madgik.di.uoa.gr/idp/profile/Logout",
-
   "cookieDomain" :".di.uoa.gr",
 
   "feedbackQuestionaire" :"https://docs.google.com/forms/d/e/1FAIpQLSf7AJ-1MG98qeOKL4BUNBk47AAl5MPJC6CdRu19xIhwApN3NA/viewform",
   "feedbackmail" :"openaire.test@gmail.com",
   "feedbackmailForMissingEntities" :"feedback@openaire.eu",
-
-  "helperPageUrl" :"http://scoobydoo.di.uoa.gr:16000/api/page/route",
-
   "cacheUrl" :"http://scoobydoo.di.uoa.gr:3000/get?url=",
 
-  "adminToolsAPIURL" :"http://mpagasas.di.uoa.gr:8080/uoa-admin-tools/",
+  "adminToolsAPIURL" :"http://scoobydoo.di.uoa.gr:8080/uoa-admin-tools/",
 
   "adminToolsCommunity" :"openaire",
   "communityAPI": "https://dev-openaire.d4science.org/openaire/community/",
Index: modules/uoa-admin-portal/trunk/src/index.html
===================================================================
--- modules/uoa-admin-portal/trunk/src/index.html	(revision 56822)
+++ modules/uoa-admin-portal/trunk/src/index.html	(revision 56823)
@@ -30,10 +30,10 @@
         <script  src="assets/common-assets/common/uikit.min.js?v=1"></script>
         <script src="assets/common-assets/common/uikit-icons.min.js?v=1"></script>
     <!-- stylesheets -->
-    <link rel="stylesheet" type="text/css" href="assets/common-assets/common/theme.css" />
-    <link rel="stylesheet" type="text/css" href="assets/common-assets/common/custom.css" />
-    <link rel="stylesheet" type="text/css" href="assets/common-assets/library.css?v=3" />
-    <link rel="stylesheet" type="text/css" href="assets/css/connect-custom.css?v=4" />
+    <link rel="stylesheet" type="text/css" href="assets/common-assets/common/theme.css?v=1" />
+    <link rel="stylesheet" type="text/css" href="assets/common-assets/common/custom.css?v=1" />
+    <link rel="stylesheet" type="text/css" href="assets/common-assets/library.css?v=5" />
+    <link rel="stylesheet" type="text/css" href="assets/css/connect-custom.css?v=6" />
 
 
 
Index: modules/uoa-admin-portal/trunk/deploy/prepareDeploy.sh
===================================================================
--- modules/uoa-admin-portal/trunk/deploy/prepareDeploy.sh	(revision 56822)
+++ modules/uoa-admin-portal/trunk/deploy/prepareDeploy.sh	(revision 56823)
@@ -21,6 +21,7 @@
 # pico ../src/robots.txt;
 # rm -rf ../src/assets/common-assets/.svn/;
 # rm -rf ../src/app/openaireLibrary/.svn/;
+# rm -rf ../src/assets/connect-assets/.svn/
 # npm run build;
 # echo 'Ready!';
 # echo 'Now copy only "dist" to the server!'
Index: modules/uoa-admin-portal/trunk/deploy/production-properties.json
===================================================================
--- modules/uoa-admin-portal/trunk/deploy/production-properties.json	(revision 56822)
+++ modules/uoa-admin-portal/trunk/deploy/production-properties.json	(revision 56823)
@@ -8,6 +8,8 @@
   "claimsAPIURL" : "https://services.openaire.eu/claims/rest/claimsService/",
   "statisticsAPIURL" : "https://beta.services.openaire.eu/stats-api/",
   "statisticsFrameAPIURL":"https://www.openaire.eu/stats/",
+  "statisticsFrameNewAPIURL": "http://marilyn.athenarc.gr:8080/stats-api/",
+  "useNewStatistisTool":false,
   "searchAPIURLLAst"     : "https://services.openaire.eu/search/v2/api/",
   "searchResourcesAPIURL"     : "https://services.openaire.eu/search/v2/api/resources",
   "openCitationsAPIURL" : "https://services.openaire.eu/opencitations/getCitations?id=",
@@ -38,8 +40,6 @@
 
   "logoutUrl" :"https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
 
-  "logoutOpenaireUrl" :"http://dl067.madgik.di.uoa.gr/idp/profile/Logout",
-
   "cookieDomain" :".openaire.eu",
 
   "feedbackQuestionaire" :"https://docs.google.com/forms/d/e/1FAIpQLSf7AJ-1MG98qeOKL4BUNBk47AAl5MPJC6CdRu19xIhwApN3NA/viewform",
@@ -46,8 +46,6 @@
   "feedbackmail" :"openaire.test@gmail.com",
   "feedbackmailForMissingEntities": "feedback@openaire.eu",
 
-  "helperPageUrl" :"http://scoobydoo.di.uoa.gr:16000/api/page/route",
-
   "cacheUrl" :"https://explore.openaire.eu/cache/get?url=",
 
   "adminToolsAPIURL" :"https://services.openaire.eu/uoa-admin-tools/",
@@ -96,8 +94,10 @@
   "notifyForNewSubscribers": "https://services.openaire.eu/uoa-admin-tools/notifyForNewSubscribers/",
 
   "lastIndexInformationLink" : "https://www.openaire.eu/aggregation-and-content-provision-workflows",
-  "showLastIndexInformationLink" : true,
+  "showLastIndexInformationLink" : false,
 
   "widgetLink" : "https://www.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
-  "claimsInformationLink": "https://www.openaire.eu/linking"
+  "claimsInformationLink": "https://www.openaire.eu/linking",
+  "lastIndexUpdate": "2019-07-24",
+  "indexInfoAPI": "http://beta.services.openaire.eu/openaire/info/"
 }
Index: modules/uoa-admin-portal/trunk/deploy/beta-properties.json
===================================================================
--- modules/uoa-admin-portal/trunk/deploy/beta-properties.json	(revision 56822)
+++ modules/uoa-admin-portal/trunk/deploy/beta-properties.json	(revision 56823)
@@ -40,8 +40,6 @@
 
   "logoutUrl" :"https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
 
-  "logoutOpenaireUrl" :"http://dl067.madgik.di.uoa.gr/idp/profile/Logout",
-
   "cookieDomain" :".openaire.eu",
 
   "feedbackQuestionaire" :"https://docs.google.com/forms/d/e/1FAIpQLSf7AJ-1MG98qeOKL4BUNBk47AAl5MPJC6CdRu19xIhwApN3NA/viewform",
@@ -48,8 +46,6 @@
   "feedbackmail" :"openaire.test@gmail.com",
   "feedbackmailForMissingEntities": "feedback@openaire.eu",
 
-  "helperPageUrl" :"http://scoobydoo.di.uoa.gr:16000/api/page/route",
-
   "cacheUrl" :"https://demo.openaire.eu/cache/get?url=",
 
   "adminToolsAPIURL" :"https://beta.services.openaire.eu/uoa-admin-tools/",
@@ -98,7 +94,7 @@
   "notifyForNewSubscribers": "https://beta.services.openaire.eu/uoa-admin-tools/notifyForNewSubscribers/",
 
   "lastIndexInformationLink" : "https://beta.openaire.eu/aggregation-and-content-provision-workflows",
-  "showLastIndexInformationLink" : true,
+  "showLastIndexInformationLink" : false,
 
   "widgetLink" : "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
   "claimsInformationLink": "https://beta.openaire.eu/linking",