Index: modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.component.html
===================================================================
--- modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.component.html	(revision 56935)
+++ modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.component.html	(revision 56936)
@@ -16,7 +16,12 @@
           <div class="uk-width-2-3@m uk-width-1-1@s  uk-margin-bottom">
             <schema2jsonld *ngIf="resultLandingInfo.record" [data]=resultLandingInfo.record
                            [URL]="properties.baseLink+linkToLandingPage+id"></schema2jsonld>
-            <showTitle [titleName]="resultLandingInfo.title"></showTitle>
+            <showTitle [titleName]="resultLandingInfo.title" [classNames]="(properties.environment != 'production' && resultLandingInfo.deletedByInferenceIds) ? 'uk-margin-remove-bottom' : ''"></showTitle>
+            <div *ngIf="properties.environment != 'production' && resultLandingInfo.deletedByInferenceIds"
+                 class="uk-text-muted uk-text-small uk-margin-bottom" (click)="openDeletedByInference()">
+              The following information is result of merging
+              <a>Original sources ({{resultLandingInfo.deletedByInferenceIds.length}})</a>
+            </div>
             <p class="uk-text-large" *ngIf="resultLandingInfo.subtitle">
               <span [innerHTML]="resultLandingInfo.subtitle"></span>
             </p>
@@ -356,23 +361,23 @@
                 </div>
               </li>
 
-              <li (click)="activeTab='Other Versions'"
-                  *ngIf="properties.environment != 'production' && resultLandingInfo.deletedByInferenceIds">
-                <a class="uk-accordion-title" href="#">
-                  Other Versions
-                  ({{resultLandingInfo.deletedByInferenceIds.length | number}})
-                </a>
-                <div *ngIf="activeTab=='Other Versions'" class="uk-accordion-content">
-                  <deletedByInference *ngIf="type == 'publication'"
-                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'publications'"></deletedByInference>
-                  <deletedByInference *ngIf="type == 'dataset'"
-                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'research data'"></deletedByInference>
-                  <deletedByInference *ngIf="type == 'software'"
-                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'software'"></deletedByInference>
-                  <deletedByInference *ngIf="type == 'orp'"
-                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'other research products'"></deletedByInference>
-                </div>
-              </li>
+<!--              <li (click)="activeTab='Other Versions'"-->
+<!--                  *ngIf="properties.environment != 'production' && resultLandingInfo.deletedByInferenceIds">-->
+<!--                <a class="uk-accordion-title" href="#">-->
+<!--                  Other Versions-->
+<!--                  ({{resultLandingInfo.deletedByInferenceIds.length | number}})-->
+<!--                </a>-->
+<!--                <div *ngIf="activeTab=='Other Versions'" class="uk-accordion-content">-->
+<!--                  <deletedByInference *ngIf="type == 'publication'"-->
+<!--                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'publications'"></deletedByInference>-->
+<!--                  <deletedByInference *ngIf="type == 'dataset'"-->
+<!--                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'research data'"></deletedByInference>-->
+<!--                  <deletedByInference *ngIf="type == 'software'"-->
+<!--                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'software'"></deletedByInference>-->
+<!--                  <deletedByInference *ngIf="type == 'orp'"-->
+<!--                                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'other research products'"></deletedByInference>-->
+<!--                </div>-->
+<!--              </li>-->
             </ul>
 
           </div>
@@ -390,7 +395,7 @@
                                                                                 fill="none" stroke="#000"
                                                                                 stroke-width="1.1"></path></svg>
                </span>
-               Link this {{type.toLowerCase()}} to...
+                Link this <span *ngIf="type != 'orp'">{{title.toLowerCase()}}</span><span *ngIf="type == 'orp'">research product</span> to...
               </button>
 
               <div class="  uk-text-center uk-margin-expand uk-padding-small    uk-margin-auto  default-dropdown "
@@ -482,10 +487,10 @@
 <!--              </li>-->
               <li>
                 <div class=" sideInfoTitle  cite-this-button uk-width-1-1" type="button">
-                  Cite this {{type.toLowerCase()}}
+                  Cite this <span *ngIf="type != 'orp'">{{title.toLowerCase()}}</span><span *ngIf="type == 'orp'">research product</span>
                 </div>
                 <div class=" ">
-                  <citeThis [result]="resultLandingInfo" [id]="id" [type]="type.toLowerCase()"></citeThis>
+                  <citeThis [result]="resultLandingInfo" [id]="id" [type]="title.toLowerCase()"></citeThis>
                 </div>
               </li>
             </ul>
@@ -500,4 +505,14 @@
   </div>
 </div>
 
+<modal-alert #AlertModalDeletedByInference>
+  <deletedByInference *ngIf="type == 'publication'"
+                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'publications'"></deletedByInference>
+  <deletedByInference *ngIf="type == 'dataset'"
+                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'research data'"></deletedByInference>
+  <deletedByInference *ngIf="type == 'software'"
+                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'software'"></deletedByInference>
+  <deletedByInference *ngIf="type == 'orp'"
+                      [id]="id" [ids]="resultLandingInfo.deletedByInferenceIds" [type]="'other research products'"></deletedByInference>
+</modal-alert>
 
Index: modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.component.ts
===================================================================
--- modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.component.ts	(revision 56935)
+++ modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.component.ts	(revision 56936)
@@ -1,4 +1,4 @@
-import {Component, Input} from '@angular/core';
+import {Component, Input, ViewChild} from '@angular/core';
 import {ActivatedRoute, Router} from '@angular/router';
 import {Meta, Title} from '@angular/platform-browser';
 
@@ -27,6 +27,8 @@
   // Active tab variable for responsiveness
   @Input() activeTab: string = "References";
 
+  @ViewChild('AlertModalDeletedByInference') alertModalDeletedByInference;
+
   public resultLandingInfo: ResultLandingInfo;
   public id: string;
   public title: string;
@@ -382,4 +384,13 @@
     }
     return false;
   }
+
+  openDeletedByInference() {
+    this.alertModalDeletedByInference.cancelButton = false;
+    this.alertModalDeletedByInference.okButton = false;
+    this.alertModalDeletedByInference.alertTitle = "Original sources";
+    //this.alertModalDeletedByInference.message = "There was an error in csv downloading. Please try again later.";
+    //this.alertModalDeletedByInference.okButtonText = "OK";
+    this.alertModalDeletedByInference.open();
+  }
 }
Index: modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.module.ts
===================================================================
--- modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.module.ts	(revision 56935)
+++ modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/resultLanding.module.ts	(revision 56936)
@@ -23,6 +23,7 @@
 import {ShowAuthorsModule}        from "../utils/authors/showAuthors.module";
 import {HelperModule} from "../utils/helper/helper.module";
 import {ResultLandingUtilsModule} from "./landing-utils/resultLandingUtils.module";
+import {AlertModalModule} from "../utils/modal/alertModal.module";
 
 @NgModule({
   imports: [
@@ -29,7 +30,7 @@
     CommonModule, FormsModule, LandingModule, SharedModule, RouterModule,
     CiteThisModule, PagingModule, IFrameModule,
     MetricsModule, AltMetricsModule, ConfigurationServiceModule, Schema2jsonldModule, SEOServiceModule,
-    DeletedByInferenceModule, ShowAuthorsModule, HelperModule, ResultLandingUtilsModule
+    DeletedByInferenceModule, ShowAuthorsModule, HelperModule, ResultLandingUtilsModule, AlertModalModule
   ],
   declarations: [
     ResultLandingComponent
Index: modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/landing-utils/showTitle.component.ts
===================================================================
--- modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 56935)
+++ modules/uoa-services-library/branches/mergeResultLandingPages/ng-openaire-library/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 56936)
@@ -4,35 +4,37 @@
 @Component({
     selector: 'showTitle',
     template: `
-        <h2 *ngIf="title != undefined" class="landingTitle">
-            <span   *ngIf="title['url'] != undefined && title['url'] != null && title['url'] != ''"
-                    class="custom-external">
-
-                <a *ngIf="title['name'] != undefined && title['name'] != ''"
-                    href="{{title['url']}}" target="_blank"
-                    [innerHTML]="title['name']">
-                </a>
-                <a *ngIf="title['name'] == undefined || title['name'] == ''"
-                    href="{{title['url']}}" target="_blank">
-                    [no title available]
-                </a>
-            </span>
-            <span *ngIf="(title['name'] != undefined && title['name'] != '') &&
-                    (title['url'] == undefined || title['url'] == null || title['url'] == '')"
-                    [innerHTML]="title['name']">
-            </span>
-            <span *ngIf="(title['name'] == undefined || title['name'] == '') &&
-                    (title['url'] == undefined || title['url'] == null || title['url'] == '')"
-                     >
-                [no title available]
-            </span>
+        <h2 [class]="classNames">
+          <div *ngIf="title != undefined" class="landingTitle">
+              <span   *ngIf="title['url'] != undefined && title['url'] != null && title['url'] != ''"
+                      class="custom-external">
+  
+                  <a *ngIf="title['name'] != undefined && title['name'] != ''"
+                      href="{{title['url']}}" target="_blank"
+                      [innerHTML]="title['name']">
+                  </a>
+                  <a *ngIf="title['name'] == undefined || title['name'] == ''"
+                      href="{{title['url']}}" target="_blank">
+                      [no title available]
+                  </a>
+              </span>
+              <span *ngIf="(title['name'] != undefined && title['name'] != '') &&
+                      (title['url'] == undefined || title['url'] == null || title['url'] == '')"
+                      [innerHTML]="title['name']">
+              </span>
+              <span *ngIf="(title['name'] == undefined || title['name'] == '') &&
+                      (title['url'] == undefined || title['url'] == null || title['url'] == '')"
+                       >
+                  [no title available]
+              </span>
+          </div>
+          <div *ngIf="titleName">
+            <span [innerHTML]="titleName"></span>
+          </div>
+          <div *ngIf="!titleName && !title">
+            <span>[no title available]</span>
+          </div>
         </h2>
-        <h2 *ngIf="titleName">
-          <span [innerHTML]="titleName"></span>
-        </h2>
-        <h2 *ngIf="!titleName && !title">
-          <span>[no title available]</span>
-        </h2>
     `
 
     })
@@ -41,6 +43,7 @@
   @Input() titleName: string;
   @Input() title: { [key: string]: string };
   @Input() iconClass:string;
+  @Input() classNames: string = "";
 
   sub: any;
 