Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor.component.ts	(revision 57600)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/monitor/monitor.component.ts	(revision 57601)
@@ -66,22 +66,24 @@
             this.numberResults = new Map<number, number>();
             this.chartsActiveType = new Map<number, IndicatorPath>();
             this.stakeholderService.getStakeholderAsObservable().subscribe(stakeholder => {
-              this.stakeholder = stakeholder;
-              this.seoService.createLinkForCanonicalURL(url, false);
-              this._meta.updateTag({content: url}, "property='og:url'");
-              var description = "Monitor Dashboard | " + this.stakeholder.index_name;
-              var title = "Monitor Dashboard | " + this.stakeholder.index_shortName;
-              this._meta.updateTag({content: description}, "name='description'");
-              this._meta.updateTag({content: description}, "property='og:description'");
-              this._meta.updateTag({content: title}, "property='og:title'");
-              this._title.setTitle(title);
-              if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
-                this.piwiksub = this._piwikService.trackView(this.properties, title, this.properties.piwikSiteId).subscribe();
+              if(stakeholder) {
+                this.stakeholder = stakeholder;
+                this.seoService.createLinkForCanonicalURL(url, false);
+                this._meta.updateTag({content: url}, "property='og:url'");
+                var description = "Monitor Dashboard | " + this.stakeholder.index_name;
+                var title = "Monitor Dashboard | " + this.stakeholder.index_shortName;
+                this._meta.updateTag({content: description}, "name='description'");
+                this._meta.updateTag({content: description}, "property='og:description'");
+                this._meta.updateTag({content: title}, "property='og:title'");
+                this._title.setTitle(title);
+                if (this.properties.enablePiwikTrack && (typeof document !== 'undefined')) {
+                  this.piwiksub = this._piwikService.trackView(this.properties, title, this.properties.piwikSiteId).subscribe();
+                }
+                //this.getDivContents();
+                this.getPageContents();
+                this.status = this.errorCodes.DONE;
+                this.setView(params);
               }
-              //this.getDivContents();
-              this.getPageContents();
-              this.status = this.errorCodes.DONE;
-              this.setView(params);
             }, error => {
               this.navigateToError();
             })
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/indicator-utils.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/indicator-utils.ts	(revision 57600)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/indicator-utils.ts	(revision 57601)
@@ -1,3 +1,5 @@
+import {ChartHelper, Indicator, IndicatorPath} from "./entities/stakeholder";
+
 export class IndicatorUtils {
 
   chartTypes: Map<string, string> = new Map([
@@ -15,4 +17,100 @@
   ]);
 
   isActiveIcon: string = 'brightness_1';
+
+
+  generateIndicatorByChartUrl(url:string):Indicator{
+    let indicator = new Indicator("","","chart","small",true,true,[]);
+    let indicatorPath = new IndicatorPath("","","","",[]);
+    indicator.indicatorPaths.push(indicatorPath);
+    if(url.indexOf("json=")!=-1){
+      indicatorPath.url = url.split("json=")[0]+"json=";
+      indicatorPath.url = indicatorPath.url.split("/")[indicatorPath.url.split("/").length-1];
+      indicatorPath.chartObject = decodeURIComponent(url.split("json=")[1]);
+      indicatorPath.source = "stats-tool";
+      let chart = JSON.parse(indicatorPath.chartObject);
+      indicatorPath.type = this.extractType(chart, indicatorPath);
+      this.extractTitle(chart,indicatorPath);
+      this.extractXTitle(chart,indicatorPath);
+      this.extractYTitle(chart,indicatorPath);
+      this.extractFunder(chart,indicatorPath);
+      this.extractStartYear(chart,indicatorPath);
+      this.extractEndYear(chart,indicatorPath);
+      indicatorPath.chartObject = JSON.stringify(chart);
+    }else if(url.indexOf("data=")!=-1){
+      indicatorPath.url = url.split("data=")[0]+"data=";
+      indicatorPath.chartObject = decodeURIComponent(url.split("data=")[1]);
+      indicatorPath.source = "old";
+    }
+    return indicator;
+  }
+
+  private extractType(obj,indicatorPath:IndicatorPath ):string{
+    let defaultTypes = ["column","bar","pie"];
+    let type= obj["chartDescription"]["queries"][0]["type"];
+    if(defaultTypes.indexOf(type)==-1){
+      type = defaultTypes [0];
+    }else{
+      obj["chartDescription"]["queries"][0]["type"] = ChartHelper.prefix+"type"+ChartHelper.suffix;
+      indicatorPath.parameters.set("type",type);
+    }
+    return type;
+  }
+  private extractFunder(obj,indicatorPath:IndicatorPath ){
+    let funderName;
+    for(let filter of obj["chartDescription"]["queries"][0]["query"]["filters"]){
+      if(filter["groupFilters"][0]["field"].indexOf(".funder")!=-1){
+        funderName= filter["groupFilters"][0]["values"][0];
+        filter["groupFilters"][0]["values"][0] = ChartHelper.prefix+"funder_name"+ChartHelper.suffix;
+        indicatorPath.parameters.set("funder_name",funderName);
+      }
+    }
+  }
+  private extractStartYear(obj,indicatorPath:IndicatorPath ){
+    let start_year;
+    for(let filter of obj["chartDescription"]["queries"][0]["query"]["filters"]){
+      for(let gfilter of filter["groupFilters"]) {
+        if (gfilter["field"].indexOf(".year") != -1 && gfilter["type"].indexOf(">") != -1) {
+          start_year = gfilter["values"][0];
+          gfilter["values"][0] = ChartHelper.prefix + "start_year" + ChartHelper.suffix;
+          indicatorPath.parameters.set("start_year", start_year);
+        }
+      }
+    }
+  }
+  private extractEndYear(obj,indicatorPath:IndicatorPath ){
+    let end_year;
+    for(let filter of obj["chartDescription"]["queries"][0]["query"]["filters"]){
+      for(let gfilter of filter["groupFilters"]) {
+        if (gfilter["field"].indexOf(".year") != -1 && gfilter["type"].indexOf("<") != -1) {
+          end_year = gfilter["values"][0];
+          gfilter["values"][0] = ChartHelper.prefix + "end_year" + ChartHelper.suffix;
+          indicatorPath.parameters.set("end_year", end_year);
+        }
+      }
+    }
+  }
+  private extractTitle(obj,indicatorPath:IndicatorPath ){
+    let title= obj["chartDescription"]["title"]["text"];
+    if(obj["chartDescription"]["title"]){
+      obj["chartDescription"]["title"]["text"] = ChartHelper.prefix+"title"+ChartHelper.suffix;
+      indicatorPath.parameters.set("title",title);
+
+    }
+  }
+  private extractXTitle(obj,indicatorPath:IndicatorPath ){
+    let title= obj["chartDescription"]["xAxis"]["title"]["text"];
+    if(obj["chartDescription"]["xAxis"]["title"]){
+      obj["chartDescription"]["xAxis"]["title"]["text"] = ChartHelper.prefix+"xAxisTitle"+ChartHelper.suffix;
+      indicatorPath.parameters.set("xAxisTitle",title);
+    }
+  }
+  private extractYTitle(obj,indicatorPath:IndicatorPath ){
+    let title= obj["chartDescription"]["yAxis"]["title"]["text"];
+    if(obj["chartDescription"]["yAxis"]["title"]){
+      obj["chartDescription"]["yAxis"]["title"]["text"] = ChartHelper.prefix+"yAxisTitle"+ChartHelper.suffix;
+      indicatorPath.parameters.set("yAxisTitle",title);
+    }
+  }
+
 }
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/entities/stakeholder.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/entities/stakeholder.ts	(revision 57600)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/entities/stakeholder.ts	(revision 57601)
@@ -358,6 +358,8 @@
     this.source = source;
     this.jsonPath = jsonPath;
     this.chartObject =chartObject;
+    this.parameters = new Map<string, string>();
+    this.filters = new Map<string, Map<string,string>>();
   }
   static createParameters(funderName:string=null, title:string=null, chartType:string=null):Map<string, string>{
     let parameters = new Map<string, string>();
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/entities/stakeholderCreator.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/entities/stakeholderCreator.ts	(revision 57600)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/utils/entities/stakeholderCreator.ts	(revision 57601)
@@ -96,8 +96,10 @@
       pubDefSub.numbers.push(n_linkedPubs);
     }
 
-    let res_timeline = new Indicator("",null, "chart","small",true, true,[new IndicatorPath("column", "stats-tool", "chart?json=", '{"library":"HighCharts","chartDescription":{"queries":[{"name":"'+typePlural+'","type":"'+ChartHelper.prefix+'type'+ChartHelper.suffix+'","query":{"select":[{"field":"'+dbType+'","aggregate":"count"},{"field":"'+dbType+'.year","aggregate":null}],"filters":[{"groupFilters":[{"field":"'+dbType+'.project.funder","type":"=","values":["'+ChartHelper.prefix+'funder_name'+ChartHelper.suffix+'"]}],"op":"AND"},{"groupFilters":[{"field":"'+dbType+'.year","type":">=","values":["2008"]},{"field":"'+dbType+'.year","type":"<=","values":["2020"]}],"op":"AND"}],"entity":"'+dbType+'","profile":"OpenAIRE All-inclusive","limit":"0"}}],"chart":{"backgroundColor":"#FFFFFFFF","borderColor":"#335cadff","borderRadius":0,"borderWidth":0,"plotBorderColor":"#ccccccff","plotBorderWidth":0},"title":{"text":"'+ChartHelper.prefix+'title'+ChartHelper.suffix+'"},"subtitle":{},"yAxis":{"title":{"text":"'+typePlural+'"}},"xAxis":{"title":{"text":"Year"}},"lang":{"noData":"No Data available for the Query"},"exporting":{"enabled":true},"plotOptions":{"series":{"dataLabels":{"enabled":false}}},"legend":{"enabled":true,"align":"center","verticalAlign":"bottom","layout":"horizontal"},"credits":{"href":null,"enabled":true,"text":"Created by OpenAIRE via HighCharts"}}}', null)]);
+    let res_timeline = new Indicator("",null, "chart","small",true, true,[new IndicatorPath("column", "stats-tool", "chart?json=", '{"library":"HighCharts","chartDescription":{"queries":[{"name":"'+typePlural+'","type":"'+ChartHelper.prefix+'type'+ChartHelper.suffix+'","query":{"select":[{"field":"'+dbType+'","aggregate":"count"},{"field":"'+dbType+'.year","aggregate":null}],"filters":[{"groupFilters":[{"field":"'+dbType+'.project.funder","type":"=","values":["'+ChartHelper.prefix+'funder_name'+ChartHelper.suffix+'"]}],"op":"AND"},{"groupFilters":[{"field":"'+dbType+'.year","type":">=","values":["'+ChartHelper.prefix+'start_year'+ChartHelper.suffix+'"]},{"field":"'+dbType+'.year","type":"<=","values":["'+ChartHelper.prefix+'end_year'+ChartHelper.suffix+'"]}],"op":"AND"}],"entity":"'+dbType+'","profile":"OpenAIRE All-inclusive","limit":"0"}}],"chart":{"backgroundColor":"#FFFFFFFF","borderColor":"#335cadff","borderRadius":0,"borderWidth":0,"plotBorderColor":"#ccccccff","plotBorderWidth":0},"title":{"text":"'+ChartHelper.prefix+'title'+ChartHelper.suffix+'"},"subtitle":{},"yAxis":{"title":{"text":"'+typePlural+'"}},"xAxis":{"title":{"text":"Year"}},"lang":{"noData":"No Data available for the Query"},"exporting":{"enabled":true},"plotOptions":{"series":{"dataLabels":{"enabled":false}}},"legend":{"enabled":true,"align":"center","verticalAlign":"bottom","layout":"horizontal"},"credits":{"href":null,"enabled":true,"text":"Created by OpenAIRE via HighCharts"}}}', null)]);
     res_timeline.indicatorPaths[0].parameters = IndicatorPath.createParameters(stakeholder.index_name,typePlural+" timeline","column");
+    res_timeline.indicatorPaths[0].parameters.set("start_year","2008");
+    res_timeline.indicatorPaths[0].parameters.set("end_year","2020");
     pubDefSub.charts.push(res_timeline);
 
 
Index: modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts
===================================================================
--- modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts	(revision 57600)
+++ modules/uoa-monitor-portal/trunk/monitor_dashboard/src/app/app.component.ts	(revision 57601)
@@ -44,6 +44,8 @@
                 if(!this.stakeholderService.stakeholder ||
                   this.stakeholderService.stakeholder.alias !== params['stakeholder']) {
                   this.stakeholderService.getStakeholder(this.properties.monitorServiceAPIURL, params['stakeholder']).subscribe(stakeholder => {
+                    // stakeholder = Stakeholder.createECStakeholder();
+                   // let  stakeHolder = StakeholderCreator.createFunderFromDefaultProfile("ec","funder","ec__________::EC","European Commission","EC",false,"ec",true,true);
                   this.stakeholderService.setStakeholder(stakeholder);
                     this.sidebarService.setOpen(true);
                   });